<?xml version="1.0"?>
<!-- XBRL Document Created with WizLabo Platform -->
<schema xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:jpcrp030000-asr_E36706-000="http://disclosure.edinet-fsa.go.jp/jpcrp030000/asr/001/E36706-000/2022-12-31/03/2025-03-28" elementFormDefault="qualified" targetNamespace="http://disclosure.edinet-fsa.go.jp/jpcrp030000/asr/001/E36706-000/2022-12-31/03/2025-03-28" xmlns="http://www.w3.org/2001/XMLSchema">
  <import schemaLocation="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2021-11-01/jpcrp_cor_2021-11-01.xsd" namespace="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2021-11-01/jpcrp_cor" />
  <import schemaLocation="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2021-11-01/jpcrp_rt_2021-11-01.xsd" namespace="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2021-11-01/jpcrp_rt" />
  <import schemaLocation="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2021-11-01/jpigp_cor_2021-11-01.xsd" namespace="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2021-11-01/jpigp_cor" />
  <import schemaLocation="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2021-11-01/jpigp_rt_2021-11-01.xsd" namespace="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2021-11-01/jpigp_rt" />
  <import schemaLocation="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2021-11-01/jppfs_cor_2021-11-01.xsd" namespace="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2021-11-01/jppfs_cor" />
  <import schemaLocation="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2021-11-01/jppfs_rt_2021-11-01.xsd" namespace="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2021-11-01/jppfs_rt" />
  <import schemaLocation="http://disclosure.edinet-fsa.go.jp/taxonomy/jpdei/2013-08-31/jpdei_cor_2013-08-31.xsd" namespace="http://disclosure.edinet-fsa.go.jp/taxonomy/jpdei/2013-08-31/jpdei_cor" />
  <import schemaLocation="http://disclosure.edinet-fsa.go.jp/taxonomy/jpdei/2013-08-31/jpdei_rt_2013-08-31.xsd" namespace="http://disclosure.edinet-fsa.go.jp/taxonomy/jpdei/2013-08-31/jpdei_rt" />
  <import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <import schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd" namespace="http://www.xbrl.org/dtr/type/non-numeric" />
  <annotation>
    <appinfo>
      <link:linkbaseRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2021-11-01/label/jpcrp_2021-11-01_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2021-11-01/label/jpcrp_2021-11-01_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2021-11-01/label/jpcrp_2021-11-01_gla.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2021-11-01/label/jpigp_2021-11-01_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2021-11-01/label/jpigp_2021-11-01_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2021-11-01/label/jpigp_2021-11-01_gla.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2021-11-01/label/jppfs_2021-11-01_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2021-11-01/label/jppfs_2021-11-01_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2021-11-01/label/jppfs_2021-11-01_gla.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpdei/2013-08-31/label/jpdei_2013-08-31_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpdei/2013-08-31/label/jpdei_2013-08-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpdei/2013-08-31/label/jpdei_2013-08-31_gla.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpdei/2013-08-31/r/jpdei_000100-000_2013-08-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="jpcrp030000-asr-001_E36706-000_2022-12-31_03_2025-03-28_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="jpcrp030000-asr-001_E36706-000_2022-12-31_03_2025-03-28_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="jpcrp030000-asr-001_E36706-000_2022-12-31_03_2025-03-28_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="jpcrp030000-asr-001_E36706-000_2022-12-31_03_2025-03-28_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="jpcrp030000-asr-001_E36706-000_2022-12-31_03_2025-03-28_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
    </appinfo>
  </annotation>
  <element id="jpcrp030000-asr_E36706-000_AverageNumberOfTemporaryWorkersIFRSSummaryOfBusinessResults" xbrli:periodType="instant" abstract="false" name="AverageNumberOfTemporaryWorkersIFRSSummaryOfBusinessResults" nillable="true" substitutionGroup="xbrli:item" type="xbrli:decimalItemType" />
  <element id="jpcrp030000-asr_E36706-000_JapanReportableSegmentMember" xbrli:periodType="duration" abstract="true" name="JapanReportableSegmentMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" />
  <element id="jpcrp030000-asr_E36706-000_TheAmericasReportableSegmentMember" xbrli:periodType="duration" abstract="true" name="TheAmericasReportableSegmentMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" />
  <element id="jpcrp030000-asr_E36706-000_EuropeReportableSegmentMember" xbrli:periodType="duration" abstract="true" name="EuropeReportableSegmentMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" />
  <element id="jpcrp030000-asr_E36706-000_EastAsiaReportableSegmentMember" xbrli:periodType="duration" abstract="true" name="EastAsiaReportableSegmentMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" />
  <element id="jpcrp030000-asr_E36706-000_SouthAsiaAndOceaniaReportableSegmentMember" xbrli:periodType="duration" abstract="true" name="SouthAsiaAndOceaniaReportableSegmentMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" />
  <element id="jpcrp030000-asr_E36706-000_SecurityTransportationReportableSegmentMember" xbrli:periodType="duration" abstract="true" name="SecurityTransportationReportableSegmentMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" />
  <element id="jpcrp030000-asr_E36706-000_HeavyHaulageAndConstructionReportableSegmentMember" xbrli:periodType="duration" abstract="true" name="HeavyHaulageAndConstructionReportableSegmentMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" />
  <element id="jpcrp030000-asr_E36706-000_DistributionSupportReportableSegmentMember" xbrli:periodType="duration" abstract="true" name="DistributionSupportReportableSegmentMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" />
  <element id="jpcrp030000-asr_E36706-000_WatanabeKenjiMember" xbrli:periodType="duration" abstract="true" name="WatanabeKenjiMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" />
  <element id="jpcrp030000-asr_E36706-000_SaitoMitsuruMember" xbrli:periodType="duration" abstract="true" name="SaitoMitsuruMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" />
  <element id="jpcrp030000-asr_E36706-000_AkaisiMamoruMember" xbrli:periodType="duration" abstract="true" name="AkaisiMamoruMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" />
  <element id="jpcrp030000-asr_E36706-000_YasuokaSadakoMember" xbrli:periodType="duration" abstract="true" name="YasuokaSadakoMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" />
  <element id="jpcrp030000-asr_E36706-000_ShibaYojiroMember" xbrli:periodType="duration" abstract="true" name="ShibaYojiroMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" />
  <element id="jpcrp030000-asr_E36706-000_ItoYumikoMember" xbrli:periodType="duration" abstract="true" name="ItoYumikoMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" />
  <element id="jpcrp030000-asr_E36706-000_ArimaShigekiMember" xbrli:periodType="duration" abstract="true" name="ArimaShigekiMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" />
  <element id="jpcrp030000-asr_E36706-000_MizotaKojiMember" xbrli:periodType="duration" abstract="true" name="MizotaKojiMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" />
  <element id="jpcrp030000-asr_E36706-000_NojiriToshiakiMember" xbrli:periodType="duration" abstract="true" name="NojiriToshiakiMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" />
  <element id="jpcrp030000-asr_E36706-000_AokiYoshioMember" xbrli:periodType="duration" abstract="true" name="AokiYoshioMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" />
  <element id="jpcrp030000-asr_E36706-000_SanuiNobukoMember" xbrli:periodType="duration" abstract="true" name="SanuiNobukoMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" />
  <element id="jpcrp030000-asr_E36706-000_NotesNoDescriptionOfTheComparativeInformationFinancialInformationTextBlock" xbrli:periodType="duration" abstract="false" name="NotesNoDescriptionOfTheComparativeInformationFinancialInformationTextBlock" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" />
  <element id="jpcrp030000-asr_E36706-000_TransferFromCapitalToCapitalSurplusIFRS" xbrli:balance="credit" xbrli:periodType="duration" abstract="false" name="TransferFromCapitalToCapitalSurplusIFRS" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <element id="jpcrp030000-asr_E36706-000_TransferToCapitalSurplusFromRetainedEarningsSSIFRS" xbrli:balance="credit" xbrli:periodType="duration" abstract="false" name="TransferToCapitalSurplusFromRetainedEarningsSSIFRS" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <element id="jpcrp030000-asr_E36706-000_DecreaseInConsumptionTaxesPayableOpeCFIFRS" xbrli:periodType="duration" abstract="false" name="DecreaseInConsumptionTaxesPayableOpeCFIFRS" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <element id="jpcrp030000-asr_E36706-000_IntoTimeDepositsInvCFIFRS" xbrli:periodType="duration" abstract="false" name="IntoTimeDepositsInvCFIFRS" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <element id="jpcrp030000-asr_E36706-000_RedemptionOfTimeDepositsInvCFIFRS" xbrli:periodType="duration" abstract="false" name="RedemptionOfTimeDepositsInvCFIFRS" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <element id="jpcrp030000-asr_E36706-000_IncomeForDisposalOfBusinessesInvCFIFRS" xbrli:balance="credit" xbrli:periodType="duration" abstract="false" name="IncomeForDisposalOfBusinessesInvCFIFRS" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <element id="jpcrp030000-asr_E36706-000_OthersIFRSAbstract" xbrli:periodType="duration" abstract="true" name="OthersIFRSAbstract" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" />
  <element id="jpcrp030000-asr_E36706-000_StructuresIFRS" xbrli:balance="debit" xbrli:periodType="instant" abstract="false" name="StructuresIFRS" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <element id="jpcrp030000-asr_E36706-000_VesselsIFRS" xbrli:balance="debit" xbrli:periodType="instant" abstract="false" name="VesselsIFRS" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <element id="jpcrp030000-asr_E36706-000_StructuresAcquisitionCostIFRS" xbrli:balance="debit" xbrli:periodType="instant" abstract="false" name="StructuresAcquisitionCostIFRS" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <element id="jpcrp030000-asr_E36706-000_VesselsAcquisitionCostIFRS" xbrli:balance="debit" xbrli:periodType="instant" abstract="false" name="VesselsAcquisitionCostIFRS" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <element id="jpcrp030000-asr_E36706-000_StructuresAccumulatedDepreciationAndImpairmentLossesIFRS" xbrli:balance="debit" xbrli:periodType="instant" abstract="false" name="StructuresAccumulatedDepreciationAndImpairmentLossesIFRS" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <element id="jpcrp030000-asr_E36706-000_VesselsAccumulatedDepreciationAndImpairmentLossesIFRS" xbrli:balance="debit" xbrli:periodType="instant" abstract="false" name="VesselsAccumulatedDepreciationAndImpairmentLossesIFRS" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <element id="jpcrp030000-asr_E36706-000_FacilityExpensesSGAIFRS" xbrli:balance="debit" xbrli:periodType="duration" abstract="false" name="FacilityExpensesSGAIFRS" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <element id="jpcrp030000-asr_E36706-000_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRSAbstract" xbrli:periodType="duration" abstract="true" name="FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRSAbstract" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" />
  <element id="jpcrp030000-asr_E36706-000_FinancialAssetsDerecognizedDuringThePeriodFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS" xbrli:balance="credit" xbrli:periodType="duration" abstract="false" name="FinancialAssetsDerecognizedDuringThePeriodFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <element id="jpcrp030000-asr_E36706-000_FinancialAssetsHeldAtTheEndOfThePeriodFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS" xbrli:balance="credit" xbrli:periodType="duration" abstract="false" name="FinancialAssetsHeldAtTheEndOfThePeriodFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeDividendIncomeIFRS" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <element id="jpcrp030000-asr_E36706-000_CurrentPortionOfBondsCL" xbrli:balance="credit" xbrli:periodType="instant" abstract="false" name="CurrentPortionOfBondsCL" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <element id="jpcrp030000-asr_E36706-000_ExpenseForChangingBrandSymbolEL" xbrli:balance="debit" xbrli:periodType="duration" abstract="false" name="ExpenseForChangingBrandSymbolEL" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <element id="jpcrp030000-asr_E36706-000_IncreaseByShareTransfersEtc" xbrli:balance="credit" xbrli:periodType="duration" abstract="false" name="IncreaseByShareTransfersEtc" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <element id="jpcrp030000-asr_E36706-000_ExpenseForChangingBrandSymbolTextBlock" xbrli:periodType="duration" abstract="false" name="ExpenseForChangingBrandSymbolTextBlock" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" />
  <element id="jpcrp030000-asr_E36706-000_ProvisionForDirectorsStockBenefitsSGA" xbrli:balance="debit" xbrli:periodType="duration" abstract="false" name="ProvisionForDirectorsStockBenefitsSGA" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
</schema>